plowshare (2.1.7) stable; urgency=low

  * [plowdown] support --run-before/--run-after with spaces (#74)
  * [plowdown] add --min-rate switch (#91)
  * [core] user plowshare.conf can be a symbolic link (#95)

 -- Matthieu Crapet <mcrapet@gmail.com>  Mon, 07 Aug 2017 16:45:55 +0200

plowshare (2.1.6) stable; urgency=low

  * API function delete_filter_line: eat lines until regexp is met.
    Bump PLOWSHARE_API_VERSION to 6.
  * [core] Handle CONT signal (wait time will be updated on ^Z) (#56)
  * [core] Introduce PLOWSHARE_CURL and PLOWSHARE_JS environment variables
    to override default curl and js commands.

 -- Matthieu Crapet <mcrapet@gmail.com>  Sun, 30 Oct 2016 10:45:08 +0100

plowshare (2.1.5) stable; urgency=low

  * Various documentation and help improvements
  * [plowlist] Add -t/--timeout command-line switch (useful for mirroring/multiupload hosters)
  * API function delete_last_line: add second optional argument (number of lines).
    Bump PLOWSHARE_API_VERSION to 5.
  * [core] Consider $XDG_CONFIG_HOME (default is ~/.config)

 -- Matthieu Crapet <mcrapet@gmail.com>  Fri, 10 Jun 2016 18:19:57 +0200

plowshare (2.1.4) stable; urgency=low

  * [plowup] allow local/remote filename having , or ; characters.
    This is a workaround to curl limitation. (#37)
  * New API for modules: sha1_file(). Bump PLOWSHARE_API_VERSION to 4. (#43)
  * [plowup] Add %T --printf token to get (current) time (#45)
  * [core] update imgur API to 3 (#42)

 -- Matthieu Crapet <mcrapet@gmail.com>  Sun, 24 Apr 2016 10:58:53 +0200

plowshare (2.1.3) stable; urgency=low

  * [core] update reCAPTCHA behavior (PR #36)
  * [plowup] Add --run-before switch
  * New internal error code (for modules): $ERR_EXPIRED_SESSION. Bump PLOWSHARE_API_VERSION to 3.

 -- Matthieu Crapet <mcrapet@gmail.com>  Thu, 24 Mar 2016 13:34:41 +0100

plowshare (2.1.2) stable; urgency=low

  * [core] Minor fixes. More cygwin/bsd friendly.

 -- Matthieu Crapet <mcrapet@gmail.com>  Sat, 15 Aug 2015 12:17:36 +0200

plowshare (2.1.1) stable; urgency=medium

  * [plowmod] Fixes with git (requires git v1.8.5+)
  * [plowmod] Add --status command-line switch

 -- Matthieu Crapet <mcrapet@gmail.com>  Sun, 03 May 2015 08:42:43 +0200

plowshare (2.1.0) stable; urgency=medium

  * Documentation refactor. Add plowshare.conf.sample file.
  * Support user modules ~/.config/plowshare/modules.d/* scheme
  * [plowmod] Add tool to ease modules repositories management

 -- Matthieu Crapet <mcrapet@gmail.com>  Thu, 09 Apr 2015 08:43:05 +0200

plowshare (2.0.1) stable; urgency=low

  * bash completion (plowdown, plowup): add missing --cache support
  * Enhance documentation concerning split of modules and core

 -- Matthieu Crapet <mcrapet@gmail.com>  Tue, Feb 24 17:36:17 2015 +0100

plowshare (2.0.0) stable; urgency=low

  * First version shipped without any module. Only core here.
    Module sources have been committed in a new GIT repository.

 -- Matthieu Crapet <mcrapet@gmail.com>  Wed, Feb 18 00:29:16 2015 +0100

plowshare (1.3.0) stable; urgency=low

  * Add user modules support (~/.config/plowshare/modules)
  * This is the last version shipped with modules

 -- Matthieu Crapet <mcrapet@gmail.com>  Wed, Feb 18 00:03:13 2015 +0100

plowshare (1.2.0) stable; urgency=low

  * Add colors for log_notice (yellow) and log_error (red)
  * [plowprobe] Add %v and %V --printf tokens. Idea here is to get primary url.
    Hosters usually provide several links (with or without filename or using short hostname).
  * API function list_submit: allow single name as second argument. Bump PLOWSHARE_API_VERSION to 2.

 -- Matthieu Crapet <mcrapet@gmail.com>  Sun, Jan 11 14:52:51 2015 +0100

plowshare (1.1.0) stable; urgency=low

  * Add some --printf tokens for JSON processing (%U, %D, %A)
    Important change for plowup, the two aliases change: %D => %L and %A => %M
  * Add --curlrc=<config file> command-line option
  * [plowlist, plowdel] Add --no-curlrc command line option
  * [core] Define PATH only when required (process_core_options)

 -- Matthieu Crapet <mcrapet@gmail.com>  Sun, Nov 23 18:20:20 2014 +0100

plowshare (1.0.6) stable; urgency=low

  * [plowdown] Clean all files when --cache=session
  * [plowdown] Ignore -O/-J switches in MODULE_xxx_DOWNLOAD_FINAL_LINK_NEEDS_EXTRA (requires cURL 7.25.1+)
  * [plowdown, plowup, plowprobe] Fix --no-curlrc option
  * [core] Add JSON unicode string support (parse_json). For Bash 4.2+ users.

 -- Matthieu Crapet <mcrapet@gmail.com>  Fri, Oct 24 18:57:49 2014 +0200

plowshare (1.0.5) stable; urgency=low

  * [plowdown] Drop --cookies switch
  * [plowdown, plowup] Add --cache switch
  * Introduce storage API functions. Bump PLOWSHARE_API_VERSION to 1.
  * [core] Add 'c' & 'C' types for argument parsing (process_options)
  * [plowdown] Fix MODULE_xxx_DOWNLOAD_FINAL_LINK_NEEDS_EXTRA with bash 4.3
  * [plowprobe] Add %T token (file timestamp) to --printf switch
  * Deleted modules: anonymousdelivers.us, extabit, thefilebay

 -- Matthieu Crapet <mcrapet@gmail.com>  Thu, Aug 28 22:07:21 2014 +0200

plowshare (1.0.4) stable; urgency=low

  * Add captchacoin captcha recognition system support
  * [plowdown, plowup, plowdel] --captchaprogram considers ~/.config/plowshare/exec/ directory

 -- Matthieu Crapet <mcrapet@gmail.com>  Sun, Jul 20 11:56:24 2014 +0200

plowshare (1.0.3) stable; urgency=low

  * [plowdown, plowup] Test for POSIX mode
  * [plowprobe] Fix unwanted debug message

 -- Matthieu Crapet <mcrapet@gmail.com>  Sat, May 31 10:09:41 2014 +0200

plowshare (1.0.2) stable; urgency=low

  * [core] Add 't' type for argument parsing (process_options)
  * [core] Prefer command xxx over $(type -P xxx)

 -- Matthieu Crapet <mcrapet@gmail.com>  Fri, May 2 13:35:04 2014 +0200

plowshare (1.0.1) stable; urgency=low

  * [plowdown] Add --min-space command-line option
  * Add support for fbi (framebuffer image viewer), consider FRAMEBUFFER
    environment variable (/dev/fb0 is the default)
  * Deleted modules: cloudzer.net, filebox

 -- Matthieu Crapet <mcrapet@gmail.com>  Fri, Mar 28 20:35:17 2014 +0100

plowshare (1.0.0) stable; urgency=low

  * Resume strict versioning. Plowshare is now packaged officially in several
    Linux distributions (fedora, archlinux, gentoo).
  * Changes/Fixes to modules (hosters) are numerous, they will not be listed here
  * Introduce PLOWSHARE_API_VERSION variable to track carefully API changes
  * [plowup] Introduce --name command line option (replaces --name-suffix & --name-prefix)
  * [plowdown] Allow direct FTP download (enable it with --fallback
  * Deleted modules: hotfiles, putlocker

 -- Matthieu Crapet <mcrapet@gmail.com>  Sat, Mar 1 10:31:01 2014 +0100

plowshare (GIT-snapshot) stable; urgency=medium

  * Migrating to GIT repository. SVN revision number is replaced with
    short commit hash + date.

 -- Matthieu Crapet <mcrapet@gmail.com>  Tue, 16 Aug 2011 20:03:33 +0200

plowshare (SVN-snapshot) stable; urgency=medium

  * As e-storage websites are continuously updated, I suspend versioning
    policy and now rely on SVN revision number. No version can be considered
    as stable as long as websites keep being updated all the time.
    See googlecode SVN log history for recent news.

 -- Matthieu Crapet <mcrapet@gmail.com>  Sat, 18 Dec 2010 15:44:39 +0100

plowshare (0.9.4) stable; urgency=high

  * [download] Fix broken modules: badongo, divshare.com, mediafire, rapidshare, 2shared
  * [download] Add -v4 verbosity message level (very noisy, for bug report)
  * [2shared] Add delete function
  * [mediafire] Add upload function
  * [4shared] Add list function
  * [depositfiles] Add list function
  * [rapidshare] upload/delete functions disabled 
  * Deleted modules: filefactory, letitbit, storage.to, uploaded.to

 -- Arnau Sanchez <pyarnau@gmail.com>  Tue, 27 Oct 2010 20:47:09 +0200

plowshare (0.9.3) stable; urgency=high

  * Add 1 new module (free download): 115.com
  * Add list support: megaupload, sendspace
  * [plowdown] New fancy countdown
  * [plowup] Show curl upload progress
  * [download] Fix broken modules: badongo, divshare.com, filefactory, mediafire
  * [zshare] Fix missing description field (upload)

 -- Arnau Sanchez <pyarnau@gmail.com>  Fri, 04 Jun 2010 10:52:08 +0200

plowshare (0.9.2) unstable; urgency=medium

  * Add 3 new modules (free download): filefactory, humyo, data.hu
  * Deleted 2 modules (now use recaptcha): loadfiles.in, freakshare.net
  * [rapidshare] Add premium-zone upload
  * [zshare] Add delete function
  * [mediafire] Fix free download (website keeps changing obfuscated javascript code)
  * [download] Add --temp-directory option (saves partial download here before mv)
  * [download] Add -x/--no-overwrite option (do not overwrite existing files)
  * [download] Add -v1/-v2/-v3 verbosity message level
  * Add plowlist: Download a list of links inside folder/containers

 -- Arnau Sanchez <pyarnau@gmail.com>  Sun, 21 Feb 2010 10:45:52 +0100

plowshare (0.9.1) stable; urgency=medium

  * Add 4 new modules (anonymous download): divshare.com, freakshare.net, 
    loadfiles.in, dl.free.fr
  * [zshare] Add anonymous upload
  * [download] Add --get-module option (aimed for wrappers to manage parallel download)
  * [download] Add -t/--timeout option (restrict time for download a link)
  * [download] Add --max-retries option (restrict attempts for loop, mostly captchas)
  * [rapidshare] add Premium-Zone download

 -- Arnau Sanchez <pyarnau@gmail.com>  Tue, 09 Feb 2010 12:43:07 +0100

plowshare (0.9) stable; urgency=medium

  * Add 7 new modules (anonymous download): netload.in, storage.to, uploaded.to, 
    uploading.com, sendspace, usershare, x7.to 
  * [lib] Fallback to img2txt (libcaca) if aview is not found.
  * [download] replace -l for -r.
  * [download] Add -i network_interface option

 -- Arnau Sanchez <pyarnau@gmail.com>  Thu, 10 Dec 2009 20:23:20 +0100

plowshare (0.8.1) stable; urgency=medium

  * Add plowdel executable
  * [plowdown] Add new -r RATE/--limit-rate=RATE option
  * [megaupload] Add delete support

 -- Arnau Sanchez <pyarnau@gmail.com>  Wed, 07 Oct 2009 22:45:53 +0200

plowshare (0.8) stable; urgency=low

  * Added module for depositfiles (download only)
  * [download] New option -o DIR, --output-directory=DIR
  * [megaupload] Use tesseract as OCR for the new simpler captcha
  * [megaupload] Support for multifetch uploads
  * [rapidshare] More tolerant wait messages parsing

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 16 May 2009 11:52:51 +0200

plowshare (0.7.1) unstable; urgency=low

  * Improve download/upload loops (retry on non-fatal network problems)
  * Fix test library
  * [mediafire] update module to website changed in HTML

 -- Arnau Sanchez <pyarnau@gmail.com>  Sun, 03 May 2009 22:49:31 +0200

plowshare (0.7) unstable; urgency=low

  * [zshared] add module (download) 
  * [megaupload] refactor catpcha decoder

 -- Arnau Sanchez <pyarnau@gmail.com>  Wed, 15 Apr 2009 18:23:05 +0200

plowshare (0.6) unstable; urgency=low

  * [4shared] add module and download support for 4shared
  * [megaupload] increase slightly the OCR rate (~ 40%)
  * [download] add check-link support for all existing modules

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 28 Mar 2009 15:51:48 +0100

plowshare (0.5.3) unstable; urgency=low

  * [megaupload] Support new 4-rotated-highly-overlapped captcha 

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 21 Mar 2009 00:09:22 +0100

plowshare (0.5.2) unstable; urgency=low

  * Fix setup.sh bugs 

 -- Arnau Sanchez <pyarnau@gmail.com>  Sun, 15 Mar 2009 01:08:57 +0100

plowshare (0.5.1) unstable; urgency=low

  * Add support for the new 4-rotated-bold-character megaupload captcha
  * Change arguments order for plowup

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 14 Mar 2009 23:38:31 +0100

plowshare (0.5) unstable; urgency=low

  * Support new megaupload captcha (4 non-rotated chars)
  * Add support for mediafire download
  * Add GNU GPL notices to all sources

 -- Arnau Sanchez <pyarnau@gmail.com>  Mon, 09 Mar 2009 17:34:04 +0100

plowshare (0.4.5) unstable; urgency=low

  * Improved speed of Megaupload catpcha OCR
  * Removed JDownloader database
  * Refactored input-captcha option (now uses aview) 
   
 -- Arnau Sanchez <pyarnau@gmail.com>  Fri, 06 Mar 2009 00:36:34 +0100

plowshare (0.4.4) unstable; urgency=low

  * Fix some setup.sh bugs (thanks to karkoma)
  * Add input-captcha option to megaupload download allowing user input (suggested by pwang07)

 -- Arnau Sanchez <pyarnau@gmail.com>  Wed, 04 Mar 2009 00:10:42 +0100

plowshare (0.4.3) unstable; urgency=low

  * Add badongo module (download implemented)
  * Fix bug in process_options loop 

 -- Arnau Sanchez <pyarnau@gmail.com>  Tue, 03 Mar 2009 12:45:21 +0100

plowshare (0.4.2) unstable; urgency=low

  * Update megaupload captchas is now manual (plowdown -u) 

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 28 Feb 2009 21:36:30 +0100

plowshare (0.4.1) unstable; urgency=low

  * Use JDownloader database for megaupload captchas (OCR can also be used)

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 28 Feb 2009 15:52:43 +0100

plowshare (0.4) unstable; urgency=low

  * Decode (slow and low accuracy code) new Megaupload captcha (4-chars with rotation). 

 -- Arnau Sanchez <pyarnau@gmail.com>  Fri, 27 Feb 2009 21:23:10 +0100

plowshare (0.3.5) unstable; urgency=low

  * Fix long options bug
  * Add continuation option for download 
  * Add mark option for download (comment downloaded links in FILE arguments)
  * Megaupload captcha still broken

 -- Arnau Sanchez <pyarnau@gmail.com>  Thu, 26 Feb 2009 13:36:17 +0100

plowshare (0.3.4) unstable; urgency=low

  * Premium account support for megaupload (thanks to Eric Soukenka)
  * More options to megaupload upload (email-from, email-to, multiemail, 
    trafficurl, password)
  * Option to download only the output link (without downloading the file)
  * Option to download password-protected files
  * Module options changed 

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 21 Feb 2009 22:58:24 +0100

plowshare (0.3.3) unstable; urgency=low

  * Use recode to allow filenames with unicode chars.

 -- Arnau Sanchez <pyarnau@gmail.com>  Thu, 19 Feb 2009 10:24:45 +0100

plowshare (0.3.2) unstable; urgency=low

  * Fix time-wait get in megaupload free-membership
  * Create our own tempfile function

 -- Arnau Sanchez <pyarnau@gmail.com>  Wed, 18 Feb 2009 10:32:44 +0100

plowshare (0.3) unstable; urgency=high

  * Update megaupload module to the new 4-char captcha
  * Update login to megaupload

 -- Arnau Sanchez <pyarnau@gmail.com>  Wed, 18 Feb 2009 01:27:16 +0100

plowshare (0.2.1) unstable; urgency=low

  * Fix rapidshare freezone upload

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 14 Feb 2009 18:52:25 +0100

plowshare (0.2) unstable; urgency=low

  * Simplify captcha decoding in megaupload (thanks to George Averill)
  * Use js or smjs (idem)
  * Disable glob in curl file download (idem)
  * Restructure code directories
  * Add -q,--quiet global option
  * 2Shared upload
  * Add independent options to module's functions
  * Rapidshare upload (anonymous and free-zone)

 -- Arnau Sanchez <pyarnau@gmail.com>  Tue, 27 Jan 2009 23:05:02 +0100

plowshare (0.1.4) unstable; urgency=low

  * Correct upload process 

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 24 Jan 2009 19:40:38 +0100

plowshare (0.1.3) unstable; urgency=low

  * Minor correction for 2shared

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 24 Jan 2009 19:36:35 +0100

plowshare (0.1.2) unstable; urgency=high

  * Upload script was missing 

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 24 Jan 2009 18:55:16 +0100

plowshare (0.1.1) unstable; urgency=high

  * Add tests

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 24 Jan 2009 18:54:17 +0100

plowshare (0.1) unstable; urgency=high
 
  * First release

 -- Arnau Sanchez <pyarnau@gmail.com>  Sat, 24 Jan 2009 12:17:21 +0200
